<?php

namespace App\Models;

use Illuminate\Support\Facades\Config;

class PropertyBrand extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_brand';
    protected $appends = ['logoUrl'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    /**
     * @return mixed
     */

    public function getLogoUrlAttribute()
    {
        $logoUrl = Config::get('app.client_server').'/assets/img/logo/logo.png';
        if (!is_null($this->logo_name)) {
            $logoUrl = Config::get('app.imageUrl') . '/property-photos/' . $this->property_id . '/logo/' . $this->logo_name . '_250x250.' . $this->logo_file_ext;
        }

        return $logoUrl;
    }

}
